Skip to main content
GET
/
api
/
identity-providers
/
{alias}
Get identity provider details
curl --request GET \
  --url https://api.example.com/api/identity-providers/{alias} \
  --header 'Authorization: Bearer <token>'
{
  "alias": "<string>",
  "display_name": "<string>",
  "provider_id": "<string>",
  "enabled": true,
  "internal_id": "<string>",
  "config": {},
  "mapper_count": 0,
  "mappers": [
    {
      "name": "<string>",
      "identity_provider_mapper": "<string>",
      "id": "<string>",
      "config": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

alias
string
required

Response

Identity provider with mappers

Detailed response including mappers.

alias
string
required
display_name
string
required
provider_id
string
required
enabled
boolean
required
internal_id
string | null
known_provider
enum<string> | null
Available options:
okta,
entra_id,
auth0,
google,
github,
ping_identity,
onelogin,
custom_oidc,
custom_saml,
active_directory
config
Config · object

Provider configuration. NexusOne masks the secrets.

mapper_count
integer
default:0

Number of configured mappers.

mappers
IdpMapperConfig · object[]